Bug 177490 - [New Port] graphics/dcraw-m Modified dcraw
Summary: [New Port] graphics/dcraw-m Modified dcraw
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-30 03:20 UTC by Waitman Gobble
Modified: 2014-01-14 03:30 UTC (History)
0 users

See Also:


Attachments
dcraw-m.shar.txt (2.85 KB, text/plain)
2013-03-30 03:20 UTC, Waitman Gobble
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Waitman Gobble 2013-03-30 03:20:00 UTC
Modified version of dcraw. Add environment variable for camera TZ adjustment 
Also use ImageMagick / MagickWand library to auto-rotate extracted thumbnails.
If your camera is set to automatically rotate thumbnails this is not necessary
however many professional photographers disable this feature in their cameras
because the auto rotate feature reduces the viewing area of image preview 
on the LCD screen. With the feature disabled on the camera, the images come 
out sideways on the card. This modificiation automatically rotates the image
when using the -e extract thumbnail option in dcraw.c

Also added some brackets to an if/then/else block to remove one warning in 
clang. This compiles with three warnings with clang, one warning with gcc. 
(the original dcraw is 4 warnings/clang 1/gcc)

The make options allow the user to specify -O3 or -O4 optimization if desired.
-O4 does not appear to compile with clang, only gcc, at this time. 

Thank you
Comment 1 Jason Helfman freebsd_committer 2013-03-30 05:23:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2013-06-09 04:42:29 UTC
Responsible Changed
From-To: jgh->freebsd-ports-bugs

back to the heap
Comment 3 Matthias Andree freebsd_committer 2014-01-14 02:42:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-01-14 03:26:07 UTC
Author: mandree
Date: Tue Jan 14 03:25:59 2014
New Revision: 339660
URL: http://svnweb.freebsd.org/changeset/ports/339660

Log:
  Add new dcraw-m port, a variant of dcraw that
  adds auto-rotate to exported thumbnails, and also
  add adjustment for camera timezone offset.
  
  PR:		ports/177490
  Submitted by:	Waitman Gobble

Added:
  head/graphics/dcraw-m/
  head/graphics/dcraw-m/Makefile   (contents, props changed)
  head/graphics/dcraw-m/distinfo   (contents, props changed)
  head/graphics/dcraw-m/pkg-descr   (contents, props changed)
Modified:
  head/graphics/Makefile

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Tue Jan 14 03:23:01 2014	(r339659)
+++ head/graphics/Makefile	Tue Jan 14 03:25:59 2014	(r339660)
@@ -113,6 +113,7 @@
     SUBDIR += dc20ctrl
     SUBDIR += dc20pack
     SUBDIR += dcraw
+    SUBDIR += dcraw-m
     SUBDIR += deegree-csw
     SUBDIR += deegree-igeoportal
     SUBDIR += deegree-wcs

Added: head/graphics/dcraw-m/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/dcraw-m/Makefile	Tue Jan 14 03:25:59 2014	(r339660)
@@ -0,0 +1,44 @@
+# Created by: "Waitman Gobble" <uzimac@da3m0n8t3r.com>
+# $FreeBSD$
+
+PORTNAME=	dcraw-m
+PORTVERSION=	9.17
+CATEGORIES=	graphics
+MASTER_SITES=	https://dx.burplex.com/dcraw-m/ \
+		http://www.waitman.net/dcraw-m/
+
+MAINTAINER=	waitman@waitman.net
+COMMENT=	Modified Decoder for RAW files from digital cameras
+
+LIB_DEPENDS=	libjasper.so:${PORTSDIR}/graphics/jasper \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		liblcms.so:${PORTSDIR}/graphics/lcms \
+		libMagickWand.so:${PORTSDIR}/graphics/ImageMagick
+
+PLIST_FILES=	bin/dcraw-m
+
+OPTIONS_DEFINE=	OPTIMIZE_O3 OPTIMIZE_O4
+OPTIMIZE_O3_DESC=	Use O3 with clang (O4 not working)
+OPTIMIZE_O4_DESC=	Use O4 with gcc
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MOPTIMIZE_O3}
+CFLAGS+=	-O3
+.else
+.if ${PORT_OPTIONS:MOPTIMIZE_O4}
+CFLAGS+=	-O4
+.endif
+.endif
+
+CFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/include/ImageMagick
+LDFLAGS+=	-L${LOCALBASE}/lib -lm -ljasper -ljpeg -llcms -lMagickWand
+
+do-build:
+	cd ${WRKSRC}/ && ${CC} -o ${PORTNAME} ${CFLAGS} ${PORTNAME}.c ${LDFLAGS}
+
+do-install:
+	${MKDIR} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+
+.include <bsd.port.mk>

Added: head/graphics/dcraw-m/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/dcraw-m/distinfo	Tue Jan 14 03:25:59 2014	(r339660)
@@ -0,0 +1,2 @@
+SHA256 (dcraw-m-9.17.tar.gz) = 1b727e9b51e9aacae3d0ce3bf7d805f014b43baf371715351ae46c46c2e90269
+SIZE (dcraw-m-9.17.tar.gz) = 88589

Added: head/graphics/dcraw-m/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/dcraw-m/pkg-descr	Tue Jan 14 03:25:59 2014	(r339660)
@@ -0,0 +1,13 @@
+dcraw is an ANSI C program that decodes any raw image from any digital camera
+on any computer running any operating system. It's become a standard tool
+within and without the Open Source world. It's small (about 3000 lines),
+portable (standard C libraries only), free (both "gratis" and "libre"), and
+when used skillfully, produces better-quality output than the tools provided by
+the camera vendor.
+
+This version is modified to add auto-rotate to exported thumbnails, and also
+add adjustment for camera timezone offset.
+
+WWW: http://www.cybercom.net/~dcoffin/dcraw/
+WWW: https://dx.burplex.com/bin/autorot.html
+WWW: https://dx.burplex.com/bin/photohack.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Matthias Andree freebsd_committer 2014-01-14 03:26:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!